package POM_Assigment.PageObjects;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;

public class LoginPage {

    private By emailField = By.id("userEmail");
    private By passwordField = By.id("userPassword");
    private By loginButton = By.id("login");

    WebDriver obj;

    //---------------------------------> Constructor
    public LoginPage(WebDriver obj)
    {
        this.obj=obj;
    }

    //----------------------------------> Action Methods.

   public void inputEmail(String email)
    {
        obj.findElement(emailField).sendKeys(email);

    }

   public void inputPassword(String password)
    {
        obj.findElement(passwordField).sendKeys(password);
    }


   public void clickLogin()
    {
        obj.findElement(loginButton).click();
    }

}
