package POM_Assigment.PageTest;

import POM_Assigment.PageObjects.RegisterPage;
import POM_Assigment.Utils.BaseTest;
import org.openqa.selenium.WebDriver;
import org.testng.Assert;
import org.testng.annotations.Test;

public class RegisterationTest extends BaseTest {




    @Test
    void successFullRegistration()
    {
        obj.get("https://rahulshettyacademy.com/client/auth/register");
        RegisterPage reg = new RegisterPage(obj);

        reg.inputFirstname("Qazi");
        reg.inputLastname("Zain");
        reg.inputEmail("kazizain2001@gmail.com");
        reg.inputPhoneNo("3020022247");
        reg.selectEngineer();
        reg.selectGenderMale();
        reg.inputPassword("Password123");
        reg.inputConfirmPassword("Password123");
        reg.clickCheckBox();
        reg.pressLoginButton();

        String actualMessage = reg.getSuccessMessage();
        Assert.assertEquals(actualMessage, "Account Created Successfully", actualMessage);

    }

    @Test
    void testOnEmptyFields()
    {

        obj.get("https://rahulshettyacademy.com/client/auth/register");
        RegisterPage reg = new RegisterPage(obj);

        reg.inputFirstname("san");
        reg.inputLastname("xsa");
        reg.inputEmail("kazizain2001@gmail.com");
        reg.inputPhoneNo("3020022247");
        reg.selectEngineer();
        reg.selectGenderMale();
        reg.inputPassword("123");
        reg.inputConfirmPassword("123");
        reg.clickCheckBox();
        reg.pressLoginButton();

        String actualMessage = reg.getSuccessMessage();
        Assert.assertEquals(actualMessage, "Password must be 8 Character Long!", actualMessage);

    }


}
